<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 21/5/2018
 * Time: 9:57 PM
 */
include '../comun/validarSesion.php';
include '../comun/uploadImage.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $ImageUploader = new uploadImage();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['clave']) && isset($_REQUEST['nombre']) && isset($_REQUEST['apellido']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono'])) {
            $idUsuario = $Valido->retornarIdToken($_REQUEST['token']);
                $usuario = R::load('usuario', $idUsuario);
                $usuario->clave = $_REQUEST['clave'];
                $usuario->nombre = $_REQUEST['nombre'];
                $usuario->apellido = $_REQUEST['apellido'];

            $usuario->direccion = $_REQUEST['direccion'];
                $usuario->telefono = $_REQUEST['telefono'];
                $usuario->fechaModificacion = date('Y-m-d H:i:s');
            if (isset($_REQUEST['imagen'])){
                $imagen = $_REQUEST['imagen'];
                $usuario->fotoPerfil = $ImageUploader->subirImagen($imagen);
            }
                $usuario->estado = 1;
                $id = R::store($usuario);
                include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}